Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234897 - need to ensure there's an active partition on usb sticks
Summary: need to ensure there's an active partition on usb sticks
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: Fedora7LiveCD
TreeView+ depends on / blocked
 
Reported: 2007-04-02 19:26 UTC by Jeremy Katz
Modified: 2013-01-10 04:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-25 11:09:53 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2007-04-02 19:26:08 UTC
Some USB sticks as shipped don't have the first partition marked as active.  We
should check to see if there's an active partition and if not, mark the one
we're using.

Comment 1 Jeremy Katz 2007-04-04 20:29:27 UTC
Checking implemented and we tell the user how to fix it.  Automated fixing would
still be nice to have

Comment 2 Jens Petersen 2008-03-25 08:58:02 UTC
Is this already fixed?

Comment 3 Jens Petersen 2008-03-25 08:58:56 UTC
Should this be moved to livecd-tools?

Comment 4 Jesse Keating 2008-03-25 11:09:53 UTC
It's been fixed yes.  The script now alerts you that you have to mark a
partition as bootable if it isn't already.


Note You need to log in before you can comment on or make changes to this bug.